| GET | /RestApi/ab-testing/check-user-permissions |
|---|
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.ABTesting.Services.Dto.Request;
using Telerik.Sitefinity.ABTesting.Services.Dto.Response;
namespace Telerik.Sitefinity.ABTesting.Services.Dto.Request
{
public partial class CheckUserPermissions
{
public virtual Guid PageNodeId { get; set; }
public virtual string Culture { get; set; }
}
}
namespace Telerik.Sitefinity.ABTesting.Services.Dto.Response
{
public partial class UserPermissions
{
public virtual bool HasPermissions { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/check-user-permissions HTTP/1.1 Host: www.imglobal.com Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"HasPermissions":false}